# Delete unified model

> Source: https://truto.one/docs/api-reference/admin/unified-models/delete/

`DELETE /unified-model/{id}`

Resource: **Unified Models**

## Path parameters

- **`id`** _(string, required)_
  The ID of the unified model to delete.

## Response body

- **`id`** _(string)_
  The ID of the deleted unified model.

## Code examples

### curl

```bash
curl -X DELETE 'https://api.truto.one/unified-model/{id}' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.truto.one/unified-model/{id}', {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified-model/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.delete(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

await truto.unifiedModel.delete('<id>');
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    await truto_api.unified_models.delete("<id>")

asyncio.run(main())
```
